> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hedera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List account entities on network

> Returns a list of all account entity items on the network.



## OpenAPI

````yaml /openapi.yaml get /api/v1/accounts
openapi: 3.0.3
info:
  title: Mirror Node REST API
  version: 0.154.0
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: >-
    The REST API offers the ability to query transactions and entity information
    from a mirror node.


    Base url: [/api/v1](/api/v1)


    OpenAPI Spec: [/api/v1/docs/openapi.yml](/api/v1/docs/openapi.yml)
  contact:
    name: Mirror Node Team
    email: mirrornode@hedera.com
    url: https://github.com/hiero-ledger/hiero-mirror-node
servers:
  - description: Hedera Mainnet Mirror Node
    url: https://mainnet.mirrornode.hedera.com
  - description: The production REST API servers
    url: '{scheme}://{network}.mirrornode.hedera.com'
    variables:
      scheme:
        default: https
        description: The URI scheme
        enum:
          - http
          - https
      network:
        default: testnet
        description: The Hedera network in use
        enum:
          - mainnet-public
          - mainnet
          - previewnet
          - testnet
security: []
tags:
  - name: accounts
    description: >-
      The accounts object represents the information associated with an account
      entity and returns a list of account information.The accounts list
      endpoint is cached and not updated as frequently as the account lookup by
      a specific ID endpoint.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#accounts
  - name: balances
    description: >-
      The balance object represents the balance of accounts on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#balances
  - name: contracts
    description: >-
      The contracts objects represents the information associated with contract
      entities.The contracts list endpoint is cached and not updated as
      frequently as the contract lookup by a specific ID endpoint.
  - name: schedules
    description: >-
      The schedules object represents the information associated with a schedule
      entity.The schedules list endpoints is cached and not updated as
      frequently as the schedule lookup by a specific ID endpoint.
  - name: transactions
    description: >-
      The transaction object represents the transactions processed on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#transactions
  - name: topics
    description: >-
      The topics object represents the information associated with a topic
      entity and returns topic messages information.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#topic-messages
  - name: tokens
    description: >-
      The tokens object represents the information associated with a token
      entity and returns a list of token information.The tokens list endpoint is
      cached and not updated as frequently as the token lookup by a specific ID.
externalDocs:
  description: REST API Docs
  url: https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api
paths:
  /api/v1/accounts:
    get:
      tags:
        - accounts
      summary: List account entities on network
      description: Returns a list of all account entity items on the network.
      operationId: getAccounts
      parameters:
        - $ref: '#/components/parameters/accountBalanceQueryParam'
        - $ref: '#/components/parameters/accountIdQueryParam'
        - $ref: '#/components/parameters/accountPublicKeyQueryParam'
        - $ref: '#/components/parameters/balanceQueryParam'
        - $ref: '#/components/parameters/limitQueryParam'
        - $ref: '#/components/parameters/orderQueryParam'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountsResponse'
        '400':
          $ref: '#/components/responses/InvalidParameterError'
components:
  parameters:
    accountBalanceQueryParam:
      name: account.balance
      in: query
      description: The optional balance value to compare against
      explode: true
      examples:
        noValue:
          summary: '--'
          value: ''
        noOperator:
          summary: Example of equals with no operator
          value: 100
        eqOperator:
          summary: Example of equals operator
          value: eq:200
        neOperator:
          summary: Example of not equals operator
          value: ne:300
        gtOperator:
          summary: Example of greater than operator
          value: gt:400
        gteOperator:
          summary: Example of greater than or equals operator
          value: gte:500
        ltOperator:
          summary: Example of less than operator
          value: lt:600
        lteOperator:
          summary: Example of less than or equals operator
          value: lte:700
      schema:
        type: string
        pattern: ^((gte?|lte?|eq|ne)\:)?\d{1,10}$
    accountIdQueryParam:
      name: account.id
      in: query
      description: The ID of the account to return information for
      explode: true
      examples:
        noValue:
          summary: '--'
          value: ''
        entityNumNoOperator:
          summary: Example of entityNum equals with no operator
          value: 100
        idNoOperator:
          summary: Example of id equals with no operator
          value: 0.0.100
        entityNumEqOperator:
          summary: Example of entityNum equals operator
          value: eq:200
        idEqOperator:
          summary: Example of id equals operator
          value: eq:0.0.200
        entityNumNeOperator:
          summary: Example of entityNum not equals operator
          value: ne:300
        idNeOperator:
          summary: Example of id not equals operator
          value: ne:0.0.300
        entityNumGtOperator:
          summary: Example of entityNum greater than operator
          value: gt:400
        idGtOperator:
          summary: Example of id greater than operator
          value: gt:0.0.400
        entityNumGteOperator:
          summary: Example of entityNum greater than or equals operator
          value: gte:500
        idGteOperator:
          summary: Example of id greater than or equals operator
          value: gte:0.0.500
        entityNumLtOperator:
          summary: Example of entityNum less than operator
          value: lt:600
        idLtOperator:
          summary: Example of id less than operator
          value: lt:0.0.600
        entityNumLteOperator:
          summary: Example of entityNum less than or equals operator
          value: lte:700
        idLteOperator:
          summary: Example of id less than or equals operator
          value: lte:0.0.700
      schema:
        $ref: '#/components/schemas/EntityIdQuery'
    accountPublicKeyQueryParam:
      name: account.publickey
      in: query
      description: The account's public key to compare against
      example: 3c3d546321ff6f63d701d2ec5c277095874e19f4a235bee1e6bb19258bf362be
      schema:
        type: string
    balanceQueryParam:
      name: balance
      in: query
      description: >-
        Whether to include balance information or not. If included, token
        balances are limited to at most 50 per account as outlined in HIP-367.
        If multiple values are provided the last value will be the only value
        used.
      example: true
      schema:
        type: boolean
        default: true
    limitQueryParam:
      name: limit
      in: query
      description: The maximum number of items to return
      example: 2
      schema:
        format: int32
        type: integer
        default: 25
        minimum: 1
        maximum: 100
    orderQueryParam:
      name: order
      in: query
      description: The order in which items are listed
      example: desc
      schema:
        enum:
          - asc
          - desc
        default: asc
  schemas:
    AccountsResponse:
      type: object
      required:
        - accounts
        - links
      properties:
        accounts:
          $ref: '#/components/schemas/Accounts'
        links:
          $ref: '#/components/schemas/Links'
    EntityIdQuery:
      type: string
      pattern: ^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$
    Accounts:
      type: array
      items:
        $ref: '#/components/schemas/AccountInfo'
    Links:
      type: object
      properties:
        next:
          example: null
          nullable: true
          type: string
    Error:
      type: object
      properties:
        _status:
          type: object
          properties:
            messages:
              type: array
              items:
                type: object
                properties:
                  data:
                    description: Error message in hexadecimal
                    example: '0x3000'
                    format: binary
                    nullable: true
                    pattern: ^0x[0-9a-fA-F]+$
                    type: string
                  detail:
                    description: Detailed error message
                    example: Generic detailed error message
                    nullable: true
                    type: string
                  message:
                    description: Error message
                    example: Generic error message
                    nullable: false
                    type: string
    AccountInfo:
      type: object
      required:
        - account
        - alias
        - auto_renew_period
        - balance
        - created_timestamp
        - decline_reward
        - deleted
        - ethereum_nonce
        - evm_address
        - expiry_timestamp
        - key
        - max_automatic_token_associations
        - memo
        - receiver_sig_required
        - staked_account_id
        - staked_node_id
        - stake_period_start
      properties:
        account:
          $ref: '#/components/schemas/EntityId'
        alias:
          $ref: '#/components/schemas/Alias'
        auto_renew_period:
          type: integer
          format: int64
          nullable: true
        balance:
          $ref: '#/components/schemas/Balance'
        created_timestamp:
          $ref: '#/components/schemas/TimestampNullable'
        decline_reward:
          description: Whether the account declines receiving a staking reward
          type: boolean
        deleted:
          type: boolean
          nullable: true
        ethereum_nonce:
          type: integer
          format: int64
          nullable: true
        evm_address:
          $ref: '#/components/schemas/EvmAddressNullable'
        expiry_timestamp:
          $ref: '#/components/schemas/TimestampNullable'
        key:
          $ref: '#/components/schemas/Key'
        max_automatic_token_associations:
          type: integer
          format: int32
          nullable: true
        memo:
          type: string
          nullable: true
        pending_reward:
          description: >
            The pending reward in tinybars the account will receive in the next
            reward payout. Note the value is updated

            at the end of each staking period and there may be delay to reflect
            the changes in the past staking period.
          type: integer
          format: int64
        receiver_sig_required:
          type: boolean
          nullable: true
        staked_account_id:
          allOf:
            - $ref: '#/components/schemas/EntityId'
            - description: The account to which this account is staking
        staked_node_id:
          description: The id of the node to which this account is staking
          type: integer
          format: int64
          nullable: true
        stake_period_start:
          allOf:
            - $ref: '#/components/schemas/TimestampNullable'
            - description: >
                The staking period during which either the staking settings for
                this account changed (such as starting

                staking or changing stakedNode) or the most recent reward was
                earned, whichever is later. If this

                account is not currently staked to a node, then the value is
                null
      example:
        account: 0.0.8
        alias: HIQQEXWKW53RKN4W6XXC4Q232SYNZ3SZANVZZSUME5B5PRGXL663UAQA
        auto_renew_period: null
        balance:
          timestamp: '0.000002345'
          balance: 80
          tokens:
            - token_id: 0.0.200001
              balance: 8
        created_timestamp: '1562591528.000123456'
        decline_reward: false
        deleted: false
        ethereum_nonce: 10
        evm_address: '0xac384c53f03855fa1b3616052f8ba32c6c2a2fec'
        expiry_timestamp: null
        key: null
        max_automatic_token_associations: 200
        memo: entity memo
        pending_reward: 100
        receiver_sig_required: false
        staked_account_id: null
        staked_node_id: 3
        stake_period_start: '172800000.000000000'
    EntityId:
      type: string
      description: Network entity ID in the format of `shard.realm.num`
      pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
      example: 0.0.2
      nullable: true
    Alias:
      description: RFC4648 no-padding base32 encoded account alias
      type: string
      pattern: ^(?:[A-Z2-7]{8})*(?:[A-Z2-7]{2}|[A-Z2-7]{4,5}|[A-Z2-7]{7,8})$
      nullable: true
      example: HIQQEXWKW53RKN4W6XXC4Q232SYNZ3SZANVZZSUME5B5PRGXL663UAQA
    Balance:
      type: object
      required:
        - timestamp
        - balance
        - tokens
      properties:
        timestamp:
          $ref: '#/components/schemas/TimestampNullable'
        balance:
          type: integer
          format: int64
          nullable: true
        tokens:
          type: array
          items:
            type: object
            properties:
              token_id:
                $ref: '#/components/schemas/EntityId'
              balance:
                format: int64
                type: integer
      nullable: true
      example:
        timestamp: '0.000002345'
        balance: 80
        tokens:
          - token_id: 0.0.200001
            balance: 8
    TimestampNullable:
      description: A Unix timestamp in seconds.nanoseconds format
      type: string
      example: '1586567700.453054000'
      pattern: ^\d{1,10}(\.\d{1,9})?$
      nullable: true
    EvmAddressNullable:
      type: string
      description: A network entity encoded as an EVM address in hex.
      format: binary
      minLength: 40
      maxLength: 42
      nullable: true
      pattern: ^(0x)?[A-Fa-f0-9]{40}$
      example: '0x0000000000000000000000000000000000001f41'
    Key:
      description: The public key which controls access to various network entities.
      type: object
      nullable: true
      properties:
        _type:
          type: string
          enum:
            - ECDSA_SECP256K1
            - ED25519
            - ProtobufEncoded
          example: ProtobufEncoded
        key:
          type: string
          example: 15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743
  responses:
    InvalidParameterError:
      description: Invalid parameter
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - message: 'Invalid parameter: account.id'
                - message: >-
                    Invalid Transaction id. Please use \shard.realm.num-sss-nnn\
                    format where sss are seconds and nnn are nanoseconds

````